Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai
Class EventStatistics

    java.lang.Object
      com.bea.wlai.EventStatistics

All Implemented Interfaces:
  Serializable

    public class EventStatistics

extends Object
implements Serializable

Represents all statistics known about a single Event type. This class is thread-safe.

See Also:
  Serialized Form

Constructor Summary
`EventStatistics()`

Method Summary
`int` | `getErrorCount()` Get the number of times an error occurred for this event
`int` | `getEventCount()` Get the number of times this event has occurred
`long` | `getLastEventDeliveryTime()` Get the last time at which an event was delivered for this ApplicationView.
`int` | `getParkedEventCount()` Get the number of suspended events for this event type.
`void` | `incrementErrorCount()` Increment the count for this event.
`void` | `incrementEventCount()` Increment the count for this event.
`void` | `incrementParkedEventCount(int delta)` Increment the number of suspended events for this event type by the amount given by the delta parameter (can be negative).
`void` | `resetCounts()` Reset the event and error count for this event type.
`void` | `setLastEventDeliveryTime(long time)` Set the last time at which an event was delivered for this ApplicationView.
`void` | `setParkedEventCount(int count)` Set the number of suspended events for this event type.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventStatistics

    public EventStatistics()

Method Detail

### getEventCount

    public int getEventCount()

  Get the number of times this event has occurred

### incrementEventCount

    public void incrementEventCount()

  Increment the count for this event.

### getErrorCount

    public int getErrorCount()

  Get the number of times an error occurred for this event

### incrementErrorCount

    public void incrementErrorCount()

  Increment the count for this event.

### resetCounts

    public void resetCounts()

  Reset the event and error count for this event type.

### getParkedEventCount

    public int getParkedEventCount()

  Get the number of suspended events for this event type.

### setParkedEventCount

    public void setParkedEventCount(int count)
                             throws IllegalArgumentException

  Set the number of suspended events for this event type.

  Throws:
    `IllegalArgumentException`

### incrementParkedEventCount

    public void incrementParkedEventCount(int delta)

  Increment the number of suspended events for this event type by the amount given by the delta parameter (can be negative).

### getLastEventDeliveryTime

    public long getLastEventDeliveryTime()

  Get the last time at which an event was delivered for this ApplicationView.

  Returns:

### setLastEventDeliveryTime

    public void setLastEventDeliveryTime(long time)

  Set the last time at which an event was delivered for this ApplicationView.

  Parameters:
    `time` -

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD